<?php
use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    public function up(): void
    {
        Schema::table('borrow_transactions', function (Blueprint $table) {
            $table->enum('status', [
                'menunggu',
                'disetujui',
                'dipinjam',
                'dikembalikan',
                'ditolak',
                'pengembalian_menunggu',
                'perpanjangan_menunggu' // ✅ TAMBAHAN BARU
            ])->default('menunggu')->change();
        });
    }

    public function down(): void
    {
        Schema::table('borrow_transactions', function (Blueprint $table) {
            $table->enum('status', [
                'menunggu',
                'disetujui',
                'dipinjam',
                'dikembalikan',
                'ditolak',
                'pengembalian_menunggu'
            ])->change();
        });
    }
};

